'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = chatbaseMiddleware;

var _chatbase2 = require('@google/chatbase');

var _chatbase3 = _interopRequireDefault(_chatbase2);

var _setInterceptors = require('./setInterceptors');

var _setInterceptors2 = _interopRequireDefault(_setInterceptors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function chatbaseMiddleware(bot, { apiKey, platform }) {
  const chatbase = _chatbase3.default.setApiKey(apiKey).setPlatform(platform);

  (0, _setInterceptors2.default)(bot, chatbase);

  return (req, res, next) => {
    req.body.entry.forEach(entry => {
      const { sender: { id }, message: { text } } = entry.messaging[0];

      chatbase.newMessage().setAsTypeUser().setUserId(id).setTimestamp(Date.now().toString()).setMessage(text).send().catch(console.error);
    });

    next();
  };
}